<?php
require'fun.php';
require'f_conectare.php';
conectare('calendar','calendar');
$head[1]='afiseaza calendarul în funcție de o anumită lună aleasă';
$titlu='Calendar';
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
require'f_sus.php';
$an=(isset($_GET['an'])?$_GET['an']:date('Y'));
$luna=(isset($_GET['luna'])?$_GET['luna']:date('m'));
echo$div[4].img('calendar.png',1).'Calendar'.$div[5].'<table columns="7"><tr><td>'.['','Ianuarie','Februarie','Martie','Aprilie','Mai','Iunie','Iulie','August','Septembrie','Octombrie','Noiembrie','Decembrie'][date('n',mktime(0,0,0,$luna,1,$an))].' - '.$an.'</td></tr><tr><td>Duminică</td><td>Luni</td><td>Marți</td><td>Miercuri</td><td>Joi</td><td>Vineri</td><td>Sâmbătă</td></tr>';
$ziua=1-date('w',mktime(0,0,0,$luna,1,$an));
$zile_din_luna=date('t',mktime(0,0,0,$luna,1,$an));
while($ziua<$zile_din_luna)
{
echo'<tr>';
for($j=1;$j<=7;$j++)
{
echo'<td>'.(($ziua<=$zile_din_luna&&$ziua>0)?(date('j-m-Y')==$ziua.'-'.$luna.'-'.$an?'<span style="color:red">'.$ziua.'</span>':$ziua):'').'</td>';
$ziua++;
}
echo'</tr>';
}
echo'</table>'.$div[1].'<a href="/calendar/luna/'.date('m',mktime(0,0,0,$luna-1,1,$an)).'/an/'.date('Y',mktime(0,0,0,$luna-1,1,$an)).'">'.img('arrow_back.png',1).'Inapoi</a><strong> - </strong><a href="/calendar/luna/'.date('m',mktime(0,0,0,$luna+1,1,$an)).'/an/'.date('Y',mktime(0,0,0,$luna+1,1,$an)).'">Inainte'.img('arrow_next.png',2).'</a>'.$div[0];
require'f_jos.php';